import 'package:flutter/material.dart';
import 'package:satu/core/services/navigator_service.dart';
import 'package:satu/core/utils/locator.dart';
import 'package:satu/shared/app_colors.dart';

class AddProductAppBar extends StatelessWidget implements PreferredSizeWidget {
  final String? title;
  final List<Widget>? actions;

  const AddProductAppBar({Key? key, this.title, this.actions}) : super(key: key);
  @override
  Widget  build(BuildContext context) {
    return AppBar(
      title: Text(title!, style: const TextStyle(fontWeight: FontWeight.w700, color: Colors.black, fontSize: 25)),
      backgroundColor: Colors.transparent,
      elevation: 0.0,
      actions: actions
      ,
    );
  }

  @override
  Size get preferredSize {
    return new Size.fromHeight(60.0);
  }
}
